Smarty Forum Index Smarty
The discussions here are for Smarty, a template engine for the PHP programming language.

Can't upgrade to version 5 as it won't parse my {if} expr

 
Post new topic   Reply to topic    Smarty Forum Index -> Bugs
View previous topic :: View next topic  
Author Message
nickturner
Smarty n00b


Joined: 23 May 2003
Posts: 1

PostPosted: Fri May 23, 2003 12:22 pm    Post subject: Can't upgrade to version 5 as it won't parse my {if} expr Reply with quote

Hi,

I am having trouble upgrading to version 2.5.0 as it now tries to parse and validate the {if} statements and fails to parse quite a few of mine.

For example:

{if in_array((int)$car, (array)$coupon['selection'][(int)$legno])}

the parse gives up at the ['selection point - but the code worked fine under Version 2.3.0 when passed str8 to PHP.

also

{if $coupon['opportunity']['pool']['allways']}

gives the error "syntax error: unidentified token '['opportunity']['pool']['allways']'"

whilst the changing it to {if $coupon.opportunity.pool.allways} parses fine

i don't have time to go through every template rewriting the {if} expressions so i will have to stick with Version 2.3.0 Sad

Nick
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Smarty Forum Index -> Bugs All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP